#
# spec file for package permissions
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


BuildRequires:  libcap-devel

Name:           permissions
Version:        20171025
Release:        0
Provides:       aaa_base:/etc/permissions
PreReq:         %fillup_prereq
Summary:        SUSE Linux Default Permissions
# Maintained in github by the security team. 
License:        GPL-2.0+
Group:          Productivity/Security
%if 0%{?suse_version} >= 1330
Requires(pre):  group(trusted)
#!BuildIgnore:  group(trusted)
%endif
Source:         permissions-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://github.com/openSUSE/permissions

%description
Permission settings of files and directories depending on the
local security settings. The local security setting (easy, secure,
or paranoid) can be configured in /etc/sysconfig/security.


Authors:
--------
    Werner Fink
    Roman Drahtmüller
    Michael Schröder
    Ludwig Nussel

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="-W -Wall $RPM_OPT_FLAGS" FSCAPS_DEFAULT_ENABLED=0

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
%{fillup_only -n security}
# apply all potentially changed permissions
/usr/bin/chkstat --system

%files
%defattr(-,root,root,-)
%config /etc/permissions
%config /etc/permissions.easy
%config /etc/permissions.secure
%config /etc/permissions.paranoid
%config(noreplace) /etc/permissions.local
%{_bindir}/chkstat
%{_mandir}/man5/permissions.5*
%{_mandir}/man8/chkstat.8*
/var/adm/fillup-templates/sysconfig.security

%changelog
